Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab
Class ProviderException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.compoze.collab.util.NestedException
                        |
                        +--com.compoze.collab.CollaborationException
                              |
                              +--com.compoze.collab.ProviderException

All Implemented Interfaces:
  java.io.Serializable

public class ProviderException
extends CollaborationException

Exceptions of this class are thrown by the provider with a provider specified message.

See Also:
  Serialized Form

Constructor Summary
`ProviderException(com.compoze.collab.spi.Context ctx, com.compoze.collab.spi.ExceptionResourceKey baseKey, int iCode)` Constructs a ProviderException.
`ProviderException(com.compoze.collab.spi.Context ctx, com.compoze.collab.spi.ExceptionResourceKey baseKey, java.lang.Object param, int iCode)` Constructs a ProviderException.
`ProviderException(java.lang.Throwable t, com.compoze.collab.spi.Context ctx, com.compoze.collab.spi.ExceptionResourceKey baseKey, int iCode)` Constructs a ProviderException.
`ProviderException(java.lang.Throwable t, com.compoze.collab.spi.Context ctx, com.compoze.collab.spi.ExceptionResourceKey baseKey, java.lang.Object param, int iCode)` Constructs a ProviderException.

Method Summary
`int` | `getCode()` Gets a provider specific code for the exception.

Methods inherited from class com.compoze.collab.CollaborationException
`getAdminMessage, getAdminResolution, getBaseKey, getKey, getProgrammerMessage, getProgrammerResolution, getUserMessage, getUserResolution, main`

Methods inherited from class com.compoze.collab.util.NestedException
`getNestedException, getStackTraceString, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProviderException

    public ProviderException(com.compoze.collab.spi.Context ctx,
                             com.compoze.collab.spi.ExceptionResourceKey baseKey,
                             int iCode)

  Constructs a ProviderException.
  Parameters:
    `ctx` - session context
    `baseKey` - message base key
    `iCode` - the provider specific code (or `-1` if not available)

### ProviderException

    public ProviderException(com.compoze.collab.spi.Context ctx,
                             com.compoze.collab.spi.ExceptionResourceKey baseKey,
                             java.lang.Object param,
                             int iCode)

  Constructs a ProviderException.
  Parameters:
    `ctx` - session context
    `baseKey` - message base key
    `param` - message parameter
    `iCode` - the provider specific code (or `-1` if not available)

### ProviderException

    public ProviderException(java.lang.Throwable t,
                             com.compoze.collab.spi.Context ctx,
                             com.compoze.collab.spi.ExceptionResourceKey baseKey,
                             int iCode)

  Constructs a ProviderException.
  Parameters:
    `t` - the underlying exception
    `ctx` - session context
    `baseKey` - message base key
    `iCode` - the provider specific code (or `-1` if not available)

### ProviderException

    public ProviderException(java.lang.Throwable t,
                             com.compoze.collab.spi.Context ctx,
                             com.compoze.collab.spi.ExceptionResourceKey baseKey,
                             java.lang.Object param,
                             int iCode)

  Constructs a ProviderException.
  Parameters:
    `t` - the underlying exception
    `ctx` - session context
    `baseKey` - message base key
    `param` - message parameter
    `iCode` - the provider specific code (or `-1` if not available)

Method Detail

### getCode

    public int getCode()

  Gets a provider specific code for the exception.
  Returns:
    the provider specific code (or `-1` if not available)

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2005 BEA Systems, Inc. All rights reserved.